Skip to main content
GET
Semantic search posts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string
required
Maximum string length: 1024
targetId
string
Maximum string length: 900
targetType
enum<string>
Available options:
community,
user,
content
options
object
dataTypes
enum<string>[]

Child post data type to filter. Only applied if the option matchingOnlyParentPost is false. The value in array could be oneOf:

  • text
  • image
Maximum array length: 10

Child post data type to filter. Only applied if the option matchingOnlyParentPost is false

Available options:
text,
image
tags
string[]
Maximum array length: 5
Maximum string length: 24
matchingOnlyParentPost
boolean
default:true

An option whether to filter only parent post or not. If true will return only parent posts, else will return both parent and child posts

Response

Post Information

searchResults
object[]

The list of message feed

posts
object[]
postChildren
object[]
comments
object[]
users
object[]
files
object[]
communities
object[]
communityUsers
object[]
categories
object[]
feeds
object[]
videoStreamings
object[]
paging
object